rte_vxlan.h(3)

NAME
rte_vxlan.h

SYNOPSIS

#include <stdint.h>
#include <rte_byteorder.h>
#include <rte_udp.h>

  Data Structures

struct rte_vxlan_hdr
struct rte_vxlan_gpe_hdr

  Macros

#define RTE_VXLAN_DEFAULT_PORT 4789
#define RTE_VXLAN_GPE_DEFAULT_PORT 4790
#define RTE_ETHER_VXLAN_HLEN (sizeof(struct rte_udp_hdr) + sizeof(struct rte_vxlan_hdr))
#define RTE_ETHER_VXLAN_GPE_HLEN
#define RTE_VXLAN_GPE_TYPE_IPV4 1
#define RTE_VXLAN_GPE_TYPE_IPV6 2
#define RTE_VXLAN_GPE_TYPE_ETH 3
#define RTE_VXLAN_GPE_TYPE_NSH 4
#define RTE_VXLAN_GPE_TYPE_MPLS 5
#define RTE_VXLAN_GPE_TYPE_GBP 6
#define RTE_VXLAN_GPE_TYPE_VBNG 7

Detailed Description

VXLAN-related definitions

Definition in file rte_vxlan.h.

Macro Definition Documentation

  #define RTE_VXLAN_DEFAULT_PORT 4789
VXLAN default port.

Definition at line 20 of file rte_vxlan.h.

  #define RTE_VXLAN_GPE_DEFAULT_PORT 4790
VXLAN GPE port.

Definition at line 22 of file rte_vxlan.h.

  #define RTE_ETHER_VXLAN_HLEN (sizeof(struct rte_udp_hdr) + sizeof(struct rte_vxlan_hdr))
VXLAN tunnel header length.

Definition at line 101 of file rte_vxlan.h.

  #define RTE_ETHER_VXLAN_GPE_HLEN
Value:
        (sizeof(struct rte_udp_hdr) + \
        sizeof(struct rte_vxlan_gpe_hdr))

Deprecated

See also
    RTE_ETHER_VXLAN_HLEN

VXLAN-GPE tunnel header length.

Definition at line 138 of file rte_vxlan.h.

  #define RTE_VXLAN_GPE_TYPE_IPV4 1
IPv4 Protocol.

Definition at line 142 of file rte_vxlan.h.

  #define RTE_VXLAN_GPE_TYPE_IPV6 2
IPv6 Protocol.

Definition at line 143 of file rte_vxlan.h.

  #define RTE_VXLAN_GPE_TYPE_ETH 3
Ethernet Protocol.

Definition at line 144 of file rte_vxlan.h.

  #define RTE_VXLAN_GPE_TYPE_NSH 4
NSH Protocol.

Definition at line 145 of file rte_vxlan.h.

  #define RTE_VXLAN_GPE_TYPE_MPLS 5
MPLS Protocol.

Definition at line 146 of file rte_vxlan.h.

  #define RTE_VXLAN_GPE_TYPE_GBP 6
GBP Protocol.

Definition at line 147 of file rte_vxlan.h.

  #define RTE_VXLAN_GPE_TYPE_VBNG 7
vBNG Protocol.

Definition at line 148 of file rte_vxlan.h.

Author

Generated automatically by Doxygen for DPDK from the source code.